curl --request POST \
--url https://api.bizconnectpay.com/api/v1/cards/3b2c08e5-d8f2-4886-aad1-88977d455ff8/operations \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"action": "topup",
"amount": "25.00"
}'
{
"action": "topup",
"amount": "25.00"
}
{
"success": true,
"data": {
"card_id": "38537f3f-3948-43af-fd9d-08df17dfe646",
"action": "topup",
"amount": "25.00",
"currency": "USD",
"balance": "27.00",
"status": "successful"
},
"meta": {
"correlation_id": "f9c35025-8a46-4238-982c-f4076c65ca47"
}
}
Cartes virtuelles
Gérer une carte virtuelle
Alimentez, retirez, activez, désactivez ou terminez une carte.
POST
/
cards
/
{virtualCard}
/
operations
curl --request POST \
--url https://api.bizconnectpay.com/api/v1/cards/3b2c08e5-d8f2-4886-aad1-88977d455ff8/operations \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"action": "topup",
"amount": "25.00"
}'
{
"action": "topup",
"amount": "25.00"
}
{
"success": true,
"data": {
"card_id": "38537f3f-3948-43af-fd9d-08df17dfe646",
"action": "topup",
"amount": "25.00",
"currency": "USD",
"balance": "27.00",
"status": "successful"
},
"meta": {
"correlation_id": "f9c35025-8a46-4238-982c-f4076c65ca47"
}
}
Le champ
amount est obligatoire uniquement pour topup et withdraw.
curl --request POST \
--url https://api.bizconnectpay.com/api/v1/cards/3b2c08e5-d8f2-4886-aad1-88977d455ff8/operations \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"action": "topup",
"amount": "25.00"
}'
{
"action": "topup",
"amount": "25.00"
}
{
"success": true,
"data": {
"card_id": "38537f3f-3948-43af-fd9d-08df17dfe646",
"action": "topup",
"amount": "25.00",
"currency": "USD",
"balance": "27.00",
"status": "successful"
},
"meta": {
"correlation_id": "f9c35025-8a46-4238-982c-f4076c65ca47"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
